create_yaxis {highcharter} | R Documentation

## Creating multiples yAxis for add a highcharts

### Description

Creating multiples yAxis for add a highcharts

### Usage

    create_yaxis(naxis = 2, heights = 1, sep = 0.01, offset = 0,
      turnopposite = TRUE, ...)

### Arguments

`naxis` | Number of axis an integer.
`heights` | A numeric vector. This values will be normalized.
`sep` | A numeric value for the separation (in percentage) for the panes.
`offset` | A numeric value (in percentage).
`turnopposite` | A logical value to turn the side of each axis or not.
`...` | Arguments defined in http://api.highcharts.com/highcharts#yAxis.

### Examples

    highchart() %>%
       hc_yAxis_multiples(create_yaxis(naxis = 2, heights = c(2, 1))) %>%
       hc_add_series(data = c(1,3,2), yAxis = 0) %>%
       hc_add_series(data = c(20, 40, 10), yAxis = 1)

    highchart() %>%
      hc_yAxis_multiples(create_yaxis(naxis = 3, lineWidth = 2, title = list(text = NULL))) %>%
      hc_add_series(data = c(1,3,2)) %>%
      hc_add_series(data = c(20, 40, 10), yAxis = 1) %>%
      hc_add_series(data = c(200, 400, 500), type = "column", yAxis = 2) %>%
      hc_add_series(data = c(500, 300, 400), type = "column", yAxis = 2)

[Package highcharter version 0.5.0 Index]